# \nre\coreAutoloader

Autoloader.

This class tries to load not yet used classes.

## Summary

Methods
Properties
Constants
register()
load()
getClassType()
No public properties found
No constants found
No protected methods found
No protected properties found
N/A
__construct()
__clone()
No private properties found
N/A

File
  core/Autoloader.inc
Package
  Default
Class hierarchy
  \nre\core\Autoloader

## Tags

author | coderkun olli@coderkun.de

## Methods

### register()

    register()

Register load-method.

#

static

## Tags

None found

### load()

    load(string  $fullClassName)

Look for the given class and try to load it.

#### Parameters

string | $fullClassName | Die zu ladende Klasse

#

static

## Tags

None found

### getClassType()

    getClassType(string  $className) : string

Determine classtype of a class.

#### Parameters

string | $className | Name of the class to determine the classtype of

#### Returns

string —

Classtype of the given class

#

static

## Tags

None found

### __construct()

    __construct()

Private construct().

#

## Tags

None found

### __clone()

    __clone()

Private clone().

#

## Tags

None found

### Autoloader.inc